Tutorial Class/Enum List File List Compound Members C interface

Classes | Typedefs
RtMidi.h File Reference
`#include <exception>`
`#include <iostream>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | RtMidiError
| Exception handling class for RtMidi. More...
class | RtMidi
| An abstract base class for realtime MIDI input/output. More...
class | RtMidiIn
| A realtime MIDI input class. More...
class | RtMidiOut
| A realtime MIDI output class. More...
class | MidiApi
class | MidiInApi
struct | MidiInApi::MidiMessage
struct | MidiInApi::MidiQueue
struct | MidiInApi::RtMidiInData
class | MidiOutApi

## Typedefs

typedef void(* | RtMidiErrorCallback) (RtMidiError::Type type, const std::string &errorText, void *userData)
| RtMidi error callback function prototype.

## Typedef Documentation

## ◆ RtMidiErrorCallback

typedef void(* RtMidiErrorCallback) (RtMidiError::Type type, const std::string &errorText, void *userData)

RtMidi error callback function prototype.

Parameters

  type | Type of error.
  errorText | Error description.

Note that class behaviour is undefined after a critical error (not a warning) is reported.

| ©2003-2023 Gary P. Scavone, McGill University. All Rights Reserved. Maintained by Gary P. Scavone, gary at music.mcgill.ca